// MIT License
//
// Copyright (c) 2022 Ian Koerich Maciel
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

import 'dart:developer';

import 'package:dart_ewelink_api/dart_ewelink_api.dart';

void main() async {
  Ewelink ewelink = Ewelink(
    email: 'myemailaaddress@gmail.com',
    password: 'mypassword',
    region: 'us',
  );

  // Get credentials
  EwelinkCredentials credentials = await ewelink.getCredentials();
  log(credentials.at);

  // Toogle device by its id
  // TODO: the method getDevices() to read the device id is not implemented on
  //       this library yet. You may copy your device_id from ewelink app under
  //       the device details screen.
  await ewelink.toggleDevice(deviceId: 'my_hardcoded_device_id');
}
